package com.sunyard.chsm.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sunyard.chsm.dto.DeviceGroupDTO;

/**
 * @author liulu
 * @since 2024/10/17
 */
public interface DeviceGroupService {

    Page<DeviceGroupDTO.DGView> selectPageList(DeviceGroupDTO.Query query);

    Long save(DeviceGroupDTO.DGSave save);

    void update(DeviceGroupDTO.DGSave update);

    void delete(Long id);

    void updateLoadWeight(DeviceGroupDTO.LoadWeight loadWeight);



}
